Subject: Re: [PATCH] multi-pack-index: fix --object-dir from outside repo

From: Junio C Hamano <[email-masked]>
Date: Mon, 23 Aug 2021 01:05:40 -0700

Johannes Berg <[email-masked]> writes:

> I just needed to go outside the current test git directory, the tests
> are running in a way that the current working directory is already the
> git tree I'm operating in.
>
>> Even if you mean to use "cd",
>> please do so within a sub-shell.
>
> I thought about it, but clearly all the tests are run in a sub-shell, so
> it didn't seem necessary? But happy to change, I don't really care
> either way.

Please learn to care before you write your next test, then ;-)

These tests are not run in a sub-shell; they are eval'ed, so that
the assignment they make to variables can persist and affect the
next test piece.

Thanks.